summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorNirbheek Chauhan <nirbheek@gentoo.org>2011-02-07 23:33:36 +0530
committerNirbheek Chauhan <nirbheek@gentoo.org>2011-02-07 23:46:49 +0530
commit276012a16110c9c2a4353c96cc7f02311c20940c (patch)
tree6503ec6a63914e8eab5eb652f78c37b0d552d77e /eclass
parentx11-libs/libnotify: all relevant changes moved to gentoo-x86 (diff)
downloadgnome-276012a16110c9c2a4353c96cc7f02311c20940c.tar.gz
gnome-276012a16110c9c2a4353c96cc7f02311c20940c.tar.bz2
gnome-276012a16110c9c2a4353c96cc7f02311c20940c.zip
Drop .la files from all GNOME 3 ebuilds
* Move gnome2-la.eclass functionality into gnome2.eclass - GNOME2_LA_PUNT will remove *all* .la files * Use posix-compatible find command * Some ebuilds don't use gnome2, so remove manually there
Diffstat (limited to 'eclass')
-rw-r--r--eclass/gnome2-la.eclass33
-rw-r--r--eclass/gnome2.eclass11
2 files changed, 11 insertions, 33 deletions
diff --git a/eclass/gnome2-la.eclass b/eclass/gnome2-la.eclass
deleted file mode 100644
index e9506c3d..00000000
--- a/eclass/gnome2-la.eclass
+++ /dev/null
@@ -1,33 +0,0 @@
-# Copyright 1999-2009 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: $
-
-#
-# gnome2-la.eclass
-#
-# Original Author: Nirbheek Chauhan <nirbheek@gentoo.org>
-# Purpose: Temporary eclass for facilitating .la file removal
-#
-# Only for usage in the overlay. This eclass will be redundant once this feature
-# is reviewed and patched into gnome2.eclass (in-tree)
-#
-
-inherit gnome2
-
-EXPORT_FUNCTIONS src_install
-
-# Remove .la files in src_install?
-G2PUNT_LA=${G2PUNT_LA:-"no"}
-
-gnome2-la_src_install() {
- gnome2_src_install
-
- # Remove .la files if they're unneeded
- # Be *absolutely* sure before doing this and read
- # http://dev.gentoo.org/~nirbheek/gnome/gnome-policy.xml#doc_chap3
- if [[ "${G2PUNT_LA}" = "yes" ]]; then
- ebegin "Removing .la files"
- find "${D}" -name '*.la' -delete
- eend
- fi
-}
diff --git a/eclass/gnome2.eclass b/eclass/gnome2.eclass
index 56e43ebc..a335698f 100644
--- a/eclass/gnome2.eclass
+++ b/eclass/gnome2.eclass
@@ -27,6 +27,10 @@ esac
# Extra configure opts passed to econf
G2CONF=${G2CONF:-""}
+# Should we delete all the .la files?
+# Do NOT use without due consideration
+GNOME2_LA_PUNT=${GNOME2_LA_PUNT:-"no"}
+
# Extra options passed to elibtoolize
ELTCONF=${ELTCONF:-""}
@@ -128,6 +132,13 @@ gnome2_src_install() {
# Make sure this one doesn't get in the portage db
rm -fr "${ED}/usr/share/applications/mimeinfo.cache"
+
+ # Delete all .la files
+ if [[ "${GNOME2_LA_PUNT}" != "no" ]]; then
+ ebegin "Removing .la files"
+ find "${D}" -name '*.la' -exec rm -f '{}' + || die
+ eend
+ fi
}
gnome2_pkg_preinst() {